System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.IList

The interface allows an inheriting class to implement a TableMapping collection. For more information, see [<topic://cpconsettingupdatatabledatacolumnmappings>].

An application does not create an instance of the interface directly, but creates an instance of a class that inherits .

Classes that inherit must implement the inherited members, and typically define additional members to add provider-specific functionality. For example, the interface defines one implementation of the method. In turn, the class inherits this method, and defines two additional overloads of .

Contains a collection of TableMapping objects, and is implemented by the , which is used in common by .NET Framework data providers.

- Method
  System.Data.ITableMapping `` `` To be added

  Adds a table mapping to the collection.

  A reference to the newly-mapped object.

  The case-sensitive name of the source table. The name of the table. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Gets a value indicating whether the collection contains a table mapping with the specified source table name.

  true if a table mapping with the specified source table name exists, otherwise false.

  The case-sensitive name of the source table. 1.0.5000.0 2.0.0.0
- Method
  System.Data.ITableMapping `` To be added

  Gets the TableMapping object with the specified table name.

  The TableMapping object with the specified DataSet table name.

  The name of the DataSet table within the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the location of the object within the collection.

  The zero-based location of the object within the collection.

  The case-sensitive name of the source table. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Removes the object with the specified name from the collection.

  The case-sensitive name of the SourceTable. 1.0.5000.0 2.0.0.0